GH-AUTH-SETUP-GIT(1)

NAME

gh-auth-setup-git - Setup git with GitHub CLI

SYNOPSIS

gh auth setup-git [flags]

DESCRIPTION

This command configures git to use GitHub CLI as a credential helper. For more information on git credential helpers please reference: https://git-scm.com/docs/gitcredentials.

By default, GitHub CLI will be set as the credential helper for all authenticated hosts. If there is no authenticated hosts the command fails with an error.

Alternatively, use the --hostname flag to specify a single host to be configured. If the host is not authenticated with, the command fails with an error.

OPTIONS

-f, --force <--hostname>
    Force setup even if the host is not known. Must be used in conjunction with --hostname

-h, --hostname <string>
    The hostname to configure git for

EXAMPLE
    # Configure git to use GitHub CLI as the credential helper for all authenticated hosts
    $ gh auth setup-git

    # Configure git to use GitHub CLI as the credential helper for enterprise.internal host
    $ gh auth setup-git --hostname enterprise.internal

SEE ALSO

gh-auth(1)